## ros-melodic-photo 1.0.3

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(photo)

find_package(catkin REQUIRED COMPONENTS
  message_generation
  roscpp
  self_test
  sensor_msgs
  std_msgs
)

find_package(OpenCV REQUIRED)

find_package(PkgConfig REQUIRED)
pkg_check_modules(gphoto2 REQUIRED libgphoto2)

add_service_files(FILES
  Capture.srv
  GetConfig.srv
  SetConfig.srv
)

generate_messages(DEPENDENCIES
  std_msgs
  sensor_msgs
)

catkin_package(
  INCLUDE_DIRS include
  LIBRARIES photo2
  CATKIN_DEPENDS roscpp std_msgs sensor_msgs self_test
  DEPENDS OpenCV gphoto2
)

include_directories(
  include
  ${catkin_INCLUDE_DIRS}
  ${OpenCV_INCLUDE_DIRS}
  ${gphoto2_INCLUDE_DIRS}
)

add_library(photo2
   src/libphoto2/photo_reporter.cpp
   src/libphoto2/photo_camera_list.cpp
   src/libphoto2/photo_camera.cpp
   src/libphoto2/photo_image.cpp
)

add_executable(photo_node src/photo_node/photo_node.cpp)
add_executable(test_photo src/test_photo/test_photo.cpp)

add_dependencies(photo_node photo_generate_messages_cpp)
add_dependencies(test_photo photo_generate_messages_cpp)

target_link_libraries(photo2
  ${OpenCV_LIBRARIES}
)  

target_link_libraries(photo_node
  photo2
  ${catkin_LIBRARIES}
  ${gphoto2_LIBRARIES}
)

target_link_libraries(test_photo
  photo2
  ${catkin_LIBRARIES}
  ${OpenCV_LIBRARIES}
)

install(TARGETS photo2 photo_node test_photo
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION}
)

=== debian/changelog ===
ros-melodic-photo (1.0.3-1bionic) bionic; urgency=high

  * Fix /get-config problem with TEXT type (#8 <https://github.com/bosch-ros-pkg/photo/issues/8>)
    Fix a problem where, when trying to call the /get-config
    service on a text field, you would first get wrong data,
    and on the second call the node would crash.
  * Fix release (#11 <https://github.com/bosch-ros-pkg/photo/issues/11>)
    * add opencv as dependency
    * style cleanup
  * Merge pull request #6 <https://github.com/bosch-ros-pkg/photo/issues/6> from bosch-ros-pkg/Karsten1987-patch-1
    Make Karsten maintainer
  * Make Karsten maintainer
  * Fixed error in CMakeLists (#5 <https://github.com/bosch-ros-pkg/photo/issues/5>)
  * Contributors: Babis Boloudakis, Karsten Knese, Philip Roan

 -- Philip Roan <Philip.Roan@us.bosch.com>  Tue, 30 Apr 2019 00:00:00 -0000

ros-melodic-photo (1.0.2-1bionic) bionic; urgency=high

  * update rosdep keys for libgphoto2
  * Contributors: root

 -- Philip Roan <Philip.Roan@us.bosch.com>  Wed, 13 Mar 2019 00:00:00 -0000

ros-melodic-photo (1.0.1-1bionic) bionic; urgency=high

  * Melodic devel (#4 <https://github.com/bosch-ros-pkg/photo/issues/4>)
    * Make it compile on Ubuntu Bionic
    Changes from code-iai fork: https://github.com/code-iai/iai_photo
    * Fix delete on array
    * Fix set config for toggle
    A bool was implicitly casted to int through a void*
    * Fix whitespaces
    * Fix segmentation fault if no camera connected
    * Pass std::string by const reference to avoid copies
    * Sanitize a bit more
  * Merge pull request #3 <https://github.com/bosch-ros-pkg/photo/issues/3> from proan/hydro-devel
    Added another dependency and removed superfluous comments.
  * Added another dependency and removed superfluous comments.
  * Merge pull request #2 <https://github.com/bosch-ros-pkg/photo/issues/2> from proan/hydro-devel
    Catkin-ized package for photo library.
  * Add dependency on message and service generation being complete first.
  * Catkin-ized package for photo. This package has been moved from the larger bosch_drivers repository.
  * Initial commit
  * Contributors: Philip Roan, Romain Reignier

 -- Philip Roan <Philip.Roan@us.bosch.com>  Wed, 13 Mar 2019 00:00:00 -0000

=== debian/control ===
Source: ros-melodic-photo
Section: misc
Priority: extra
Maintainer: Philip Roan <Philip.Roan@us.bosch.com>
Build-Depends: debhelper (>= 9.0.0), libgphoto2-dev, libopencv-dev, ros-melodic-catkin, ros-melodic-message-generation, ros-melodic-roscpp, ros-melodic-self-test, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Homepage: http://wiki.ros.org/photo
Standards-Version: 3.9.2

Package: ros-melodic-photo
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libgphoto2-dev, libopencv-dev, ros-melodic-message-runtime, ros-melodic-roscpp, ros-melodic-self-test, ros-melodic-sensor-msgs, ros-melodic-std-msgs
Description: The photo package provides access to digital cameras.
 Much of the underlying functionality is provide by the gPhoto libary. The system package libgphoto2-2-dev or equivalent is required.&gt;

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-photo//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
